const {
  listExists, removeList, getAndParseWords, saveWords,
} = require('./fs-helpers.js');

function removeWord(list, word) {
  const listOfWords = getAndParseWords(list);

  delete listOfWords[word];

  return saveWords(list, listOfWords);
}

function removeDefinition(list, word, definition) {
  const listOfWords = getAndParseWords(list);
  const positionOfDef = listOfWords[word].indexOf(definition);

  if (positionOfDef !== -1) {
    listOfWords[word].splice(positionOfDef, 1);
    return saveWords(list, listOfWords);
  }
  return "Definition doesn't exists!";
}

function remove(list, word, definition) {
  if (!listExists(list)) return `${list} list doesn't exists!`;
  else if (list && (!word && definition)) return 'You must specify a word!';
  else if (list && (!word && !definition)) return removeList(list);
  else if (list && word && !definition) return removeWord(list, word, definition);
  else if (list && word && definition) return removeDefinition(list, word, definition);
}

module.exports = {
  remove,
};
